#!/usr/bin/env node

var coz = require('coz'),
    path = require('path'),
    async = require('async'),
    buds = require('apeman-tmpl-contrib-official/lib/commons');

var pkg = require('../package.json');


var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

async.series([
    function (callback) {
        coz.render([
            'lib/**/.*.bud',
            'test/**/.*.bud'
        ], callback);
    },
    function (callback) {
        buds.render({
            pkg: pkg,
            modules: [],
            usages: [
                {
                    title: 'Concat Files',
                    description: "Concat string files.",
                    example: 'docs/examples/concat-files-example.js'
                }
            ],
            see: {}
        }, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});
